
function 短信验证(name,event1,event2){   
    //name表示组件在被创建时的名称，event表示组件拥有的事件
    //如果组件有多个事件，可以在后面继续填写这些事件名称
    //例如：function 下载器(name,event1,event2,event3){
    
    //组件内部属性，仅供组件内部使用：
    this.API_ID = "";
    this.API_KEY = "";
    
    //组件命令：
    this.初始化 = function (APIID,APIKEY){
        this.API_ID = APIID;
        this.API_KEY = APIKEY;
    } 
    
    //组件命令：
    this.发送验证码 = function (手机号码,验证码){
        var urld = "http://106.ihuyi.com/webservice/sms.php?method=Submit&account="+this.API_ID+"&password="+this.API_KEY+"&mobile="+手机号码+"&content=您的验证码是："+验证码+"。请不要把验证码泄露给其他人。";
        mui.ajax(urld, {
            type: 'get',
            dataType: 'txt',
            data: '',
            timeout: 10000,
            success: function(response) {
                event_a(true,response);
            },
            error: function(xhr,type,errorThrown) {
                event_a(false,type);
            }
        });   
    }
    
    //组件事件：
    function event_a(结果,信息){
        if(event1!=null){//触发组件的发送完毕事件     	
            event1(结果,信息);
        }					
    }
    
    //组件命令：
    this.查询剩余条数 = function (){
        var urld = "http://106.ihuyi.com/webservice/sms.php?method=GetNum&account=" + this.API_ID + "&password=" + this.API_KEY + "";
        mui.ajax(urld, {
            type: 'get',
            dataType: 'txt',
            data: '',
            timeout: 5000,
            success: function(response) {
                event_b(true,response);
            },
            error: function(xhr,type,errorThrown) {
                event_b(false,type);
            }
        });   
    }

    //组件事件：
    function event_b(结果,信息){
        if(event2!=null){//触发组件的发送完毕事件     	
            event2(结果,信息);
        }					
    }


   
}

 